Loading...
Searching...
No Matches
pcl::cuda::detail::GraphEdge< T > Struct Template Reference

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h>`

## Public Member Functions

| GraphEdge ()
| GraphEdge (int to, int next, const T &val)

## Public Attributes

int | to
int | next
T | val

## Detailed Description

template<typename T>
struct pcl::cuda::detail::GraphEdge< T >

Definition at line 85 of file mssegmentation.h.

## Constructor & Destructor Documentation

## GraphEdge() [1/2]

template<typename T >

pcl::cuda::detail::GraphEdge< T >::GraphEdge | ( |  | ) |

inline

Definition at line 87 of file mssegmentation.h.

## GraphEdge() [2/2]

template<typename T >

pcl::cuda::detail::GraphEdge< T >::GraphEdge | ( | int | to,
|  | int | next,
|  | const T & | val
| ) |  |

inline

Definition at line 88 of file mssegmentation.h.

## Member Data Documentation

## next

template<typename T >

int pcl::cuda::detail::GraphEdge< T >::next

Definition at line 90 of file mssegmentation.h.

## to

template<typename T >

int pcl::cuda::detail::GraphEdge< T >::to

Definition at line 89 of file mssegmentation.h.

## val

template<typename T >

T pcl::cuda::detail::GraphEdge< T >::val

Definition at line 91 of file mssegmentation.h.

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h